%global api_ver 5.0

Name:           libxml++50
Version:        5.4.0
Release:        1%{?dist}
Summary:        C++ wrapper for the libxml2 XML parser library

License:        LGPLv2+
URL:            https://github.com/libxmlplusplus/libxmlplusplus
Source0:        https://github.com/libxmlplusplus/libxmlplusplus/releases/download/5.4.0/libxml++-5.4.0.tar.xz

BuildRequires:  docbook-style-xsl
BuildRequires:  doxygen, graphviz
BuildRequires:  gcc-c++
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
BuildRequires:  meson
BuildRequires:  mm-common

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. Its original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch

%description    doc
This package contains the full API documentation for %{name}.


%prep
%autosetup -n libxml++-5.4.0 -p1


%build
%meson -Dbuild-documentation=true -Dmaintainer-mode=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc NEWS
%{_libdir}/libxml++-%{api_ver}.so.1*

%files devel
%{_includedir}/libxml++-%{api_ver}/
%{_libdir}/libxml++-%{api_ver}.so
%{_libdir}/libxml++-%{api_ver}/
%{_libdir}/pkgconfig/libxml++-%{api_ver}.pc

%files doc
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books
%{_datadir}/devhelp/books/libxml++-%{api_ver}
%{_docdir}/libxml++-%{api_ver}


%changelog
* Sun Dec 29 2024 Fabrice Colin <fabrice.colin@gmail.com> - 5.4.0-1
- Use upstream release of 5.4.0

* Mon Oct 31 2022 Andrew Potter <agpotter@gmail.com> - 5.0.2-2
- Use upstream release of 5.0.2

* Wed Aug 10 2022 Andrew Potter <agpotter@gmail.com> - 5.0.1-1
- Initial Fedora packaging
